import request from '@/utils/request'

// 查询任务管理列表
export function listTaskManage(query) {
  return request({
    url: '/szxc/taskManage/list',
    method: 'get',
    params: query
  })
}

// 查询任务管理详细
export function getTaskManage(id) {
  return request({
    url: '/szxc/taskManage/' + id,
    method: 'get'
  })
}

// 新增任务管理
export function addTaskManage(data) {
  return request({
    url: '/szxc/taskManage',
    method: 'post',
    data: data
  })
}

// 修改任务管理
export function updateTaskManage(data) {
  return request({
    url: '/szxc/taskManage',
    method: 'put',
    data: data
  })
}

// 删除任务管理
export function delTaskManage(id) {
  return request({
    url: '/szxc/taskManage/' + id,
    method: 'delete'
  })
}
